<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="bottom"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/common_padding_huge"
        android:layout_marginEnd="@dimen/common_padding_huge"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/input_7"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:layout_weight="1"
            android:background="@drawable/shape_corner_numerical_input_button"
            android:gravity="center"
            android:text="@string/seven"
            android:textSize="30sp" />

        <TextView
            android:id="@+id/input_8"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_weight="1"
            android:background="@drawable/shape_corner_numerical_input_button"
            android:gravity="center"
            android:text="@string/eight"
            android:textSize="30sp" />

        <TextView
            android:id="@+id/input_9"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_weight="1"
            android:background="@drawable/shape_corner_numerical_input_button"
            android:gravity="center"
            android:text="@string/nine"
            android:textSize="30sp" />

        <LinearLayout
            android:id="@+id/input_delete"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_weight="1"
            android:background="@drawable/shape_corner_numerical_input_button"
            android:gravity="center"
            android:orientation="vertical">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/icon_backspace"
                tools:ignore="ContentDescription" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/common_padding_huge"
        android:layout_marginTop="@dimen/common_padding_huge"
        android:layout_marginEnd="@dimen/common_padding_huge"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/input_4"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:layout_weight="1"
            android:background="@drawable/shape_corner_numerical_input_button"
            android:gravity="center"
            android:text="@string/four"
            android:textSize="30sp" />

        <TextView
            android:id="@+id/input_5"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_weight="1"
            android:background="@drawable/shape_corner_numerical_input_button"
            android:gravity="center"
            android:text="@string/five"
            android:textSize="30sp" />

        <TextView
            android:id="@+id/input_6"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_weight="1"
            android:background="@drawable/shape_corner_numerical_input_button"
            android:gravity="center"
            android:text="@string/six"
            android:textSize="30sp" />

        <TextView
            android:id="@+id/input_ac"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_weight="1"
            android:background="@drawable/shape_corner_numerical_input_button"
            android:gravity="center"
            android:text="@string/all_clean"
            android:textColor="@color/title_background_color"
            android:textSize="25sp" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/common_padding_huge"
        android:layout_marginTop="@dimen/common_padding_huge"
        android:layout_marginEnd="@dimen/common_padding_huge"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/input_1"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:layout_weight="1"
            android:background="@drawable/shape_corner_numerical_input_button"
            android:gravity="center"
            android:text="@string/one"
            android:textSize="30sp" />

        <TextView
            android:id="@+id/input_2"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_weight="1"
            android:background="@drawable/shape_corner_numerical_input_button"
            android:gravity="center"
            android:text="@string/two"
            android:textSize="30sp" />

        <TextView
            android:id="@+id/input_3"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_weight="1"
            android:background="@drawable/shape_corner_numerical_input_button"
            android:gravity="center"
            android:text="@string/three"
            android:textSize="30sp" />

        <View
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_weight="1" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/common_padding_huge">

        <TextView
            android:id="@+id/input_00"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:layout_weight="1"
            android:background="@drawable/shape_corner_numerical_input_button"
            android:gravity="center"
            android:text="@string/double_zero"
            android:textSize="30sp" />

        <TextView
            android:id="@+id/input_0"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_weight="1"
            android:background="@drawable/shape_corner_numerical_input_button"
            android:gravity="center"
            android:text="@string/zero"
            android:textSize="30sp" />

        <TextView
            android:id="@+id/input_point"
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_weight="1"
            android:background="@drawable/shape_corner_numerical_input_button"
            android:gravity="center"
            android:text="@string/point"
            android:textSize="30sp" />

        <View
            android:layout_width="0dp"
            android:layout_height="50dp"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_weight="1" />
    </LinearLayout>
</LinearLayout>